#ifndef _PAL_H_
#define _PAL_H_

class
GifPalette
{
private:
	unsigned char red[256],green[256],blue[256];
	bool allocated[256];
public:
	GifPalette();
	~GifPalette() {};
	int request(int r, int g, int b);
	void getData(int c, int &r, int &g, int &b);
	void allocate(int c, int r, int g, int b);
	bool getAlloc(int i);
	void scan(byte *data, int len);
	void remap(byte *data, int len, GifPalette& inpal);
};

#endif
