/* 
   Graph.h
   a Graph countains a picture mpattern
   and its sizes.

   Xavier HOSXE
*/


#ifndef _GRAPH_
#define _GRAPH_

class Graph {
  friend class Animation;
  friend class Sprite;
protected:
public:
  char *mpattern;
  short mwidth,mheight;  
  short mxCenter,myCenter;
  Graph(void) {
    mpattern=NULL;
    mwidth=0;
    mheight=0;
    mxCenter=0;
    myCenter=0;
  }
  Graph(short width, short height) {
    mpattern= new char [width*height*sizeof(char)];
    mwidth=width<<4;
    mheight=height<<4;
    mxCenter=width<<3;
    myCenter=height<<3;
  }
  short get_mwidth() { return mwidth;}
  short get_mheight() {return mheight;}
  char* get_mpattern() {return mpattern;}
  void ReForm(short x1,short x2,short y1,short y2);
  void SetSize(short w,short h) { mwidth = w ; mheight = h; }
  void SetCenter(short x,short y) { mxCenter=x; myCenter=y; }
  void SetPattern(char *pat) { mpattern=pat ; }
};


#endif
