/*

  Definition of the Last Space Ship.

  Xavier HOSXE
  
  */


#ifndef _LASTSPACESHIP_
#define _LASTSPACESHIP_

#include "MoreSprites.h"
#include "GraphElem.h"
#include "init.h"


extern short fin;

class LastSpaceShip : public SpriteElem {
 protected:
  short mvarfire2;
  short max,may;  // goal position when attack
  short mox,moy;  // old position when attack
  short mtime;
  short mspeed;
  short mpower;
  short mstate;
  short mchanel;
  //  Graph *mcurrentgraph;
 public:
  LastSpaceShip(ListSprite *list,short speed,short power); 
  void ContactWith(Sprite *sp);
  void Move();
  void Die();
  void Draw();
  void Fire1();
  void Fire2();
  short get_mstate() { return mstate;}
};

class LastSpaceShipFire1 : public LinearSprite {
 public:
  short mpower;
  LastSpaceShipFire1(ListSprite *list,short power);
  void ContactWith(Sprite *sp);
  void Die();
};

class LastSpaceShipFire2 : public LinearSprite {
 public:
  short mpower;
  LastSpaceShipFire2(ListSprite *list,short power);
  void ContactWith(Sprite *sp);
  void Die();
};



#endif
