/*
   Sprite.h
   
   Xavier HOSXE
   */

#ifndef _SPRITE_
#define _SPRITE_

#define SOL 640
#define PLAFOND 1280
#define WIDTH4 10240
#define HEIGHT4 7680
#define MODE   G640x480x256

#include "Animation.h"
#include "MovPt.h"
#include "Graph.h"




// ---- Defined in Sprite.cc
#include <vga.h>
#include <vgagl.h>
#include "MovPt.h"
extern GraphicsContext *gc_video,
                       *gc_background,
                       *gc_pres; 
extern short page;
extern short pageFlipping[2];

// ---- OK...

class Sprite : public Animation , public MovPt {
protected:
  short vie;
public:
  short mtype; 
  void Affiche();
  virtual void Move();
  virtual void Draw();
  virtual void Die();
  virtual void ContactWith(Sprite *sp);
  void tue() { vie =0; }
};


#endif
