/* 

   sqrt.h
   array for square root function 
   (faster on computer which does not
   have a mathematic coprocessor).


   Xavier HOSXE
*/

#ifndef _SQRTSOFT_
#define _SQRTSOFT_

extern short *sqrtSoftVal;

void sqrtSoftInit();

inline short sqrtSoft(int n) {
  if (n >640000) return 800;
  return(sqrtSoftVal[(n>>6)+1]);
}

#endif
