/* -------------------------------------
   this file contains the stages

   Xavier HOSXE
   Last changes : 1996 July
   ------------------------------------ */

/*
   TO ADD NEW SPACESHIP !!!!
   ========================= 

   the last number is always the time to wait before next spaceship !

   WAIT,<SPRITE>, : wait for the sprite <SPRITE> to die

   FIREOFTEN = 8, 16, 32, 64 or 128 etc...

   PLANE,TYPE,-1,TIME, (random plane)
   PLANE,TYPE,x,y,x dir ,y dir,time,

   TYPE can be 1, 2, 3 or 4.
   
   ENEMY1,x,y,x spring stiffness,y spring stiffness,FIREOFTEN,FIRESPEED,POWER,x spring center,y spring center,x dir, y dir, time

   ENEMY2,FIREOFTEN,POWER,FIRESPEED,x,y,x dir,y dir,time,
   
   Robot:
   ENEMY3,POWER,FIREOFTEN,x dir , y dir,time, 
   
   ENEMY4,speed,power,number of ball,x,y,x dir,y dir,time,
   
   
   MINE,SPEED,POWER,x,y,time,
   
   BALL,x,y,x dir,y dir,time,
   or
   BALL,-1,time, (random Ball)
   
   Flying tower
   FTOWER,Power,time, 

   
   LASTSPACESHIP,fireoften,power,x,y,0,
     
   WALL,y pos,x size,y size,x dir,y dir,time,

   BIGTURNING,power,fireoften,(y center)*16,y first location, x direction,time,
     
   
   Please send me your level : hosxe@dds.nl
   Thank you !!
   
   Xavier HOSXE
*/
   



#include "SpaceShips.h"


#define E1_1 128,10,10
#define E1_2 64,13,30
#define E1_3 32,16,60
#define SP1 1,1
#define SP2 3,3
#define SP3 5,5
#define MX 320
#define MY 255
#define NODIR 0,0
#define E2_1 128,10
#define E2_2 64,30
#define E2_3 32,50


short *tableau;


/* ------------- TABLEAU 1 ---------------*/

short tableau1[] = {

  WAIT,TEMPS,50,


  PLANE,1,-1,30,
  PLANE,1,-1,30,
  PLANE,1,-1,30,
  PLANE,1,-1,30,
  PLANE,1,-1,80,


  PLANE,1,-1,20,
  PLANE,1,-1,20,
  PLANE,1,-1,20,
  PLANE,1,-1,20,
  PLANE,1,-1,20,
  PLANE,1,-1,20,
  PLANE,1,-1,50,

  PLANE,1,-1,17,
  PLANE,1,-1,15,
  PLANE,1,-1,15,
  PLANE,1,-1,15,
  PLANE,1,-1,15,
  PLANE,1,-1,15,
  PLANE,1,-1,12,
  PLANE,1,-1,13,
  PLANE,1,-1,45,
  PLANE,1,-1,35,
  ENEMY2,64,30,4,660,100,-4,0,10, 
  PLANE,1,-1,17,
  PLANE,1,-1,15,
  PLANE,1,-1,12,
  PLANE,1,-1,25,
  PLANE,1,-1,15,
  PLANE,1,-1,15,
  PLANE,1,-1,16,
  PLANE,1,-1,15,
  PLANE,1,-1,11,

  WAIT,PLANE,
  WAIT,TEMPS,50,



  PLANE,5,660,100,-6,0,2,
  PLANE,5,660,140,-6,0,2,
  PLANE,5,660,180,-6,0,2,
  PLANE,5,660,220,-6,0,2,
  PLANE,5,660,260,-6,0,2,
  PLANE,5,660,300,-6,0,2,
  PLANE,5,660,340,-6,0,2,
  PLANE,5,660,380,-6,0,2,
  PLANE,5,660,420,-6,0,2,

  WAIT,PLANE,
  WAIT,TEMPS,50,

  PLANE,2,-1,7,
  PLANE,2,-1,15,
  PLANE,2,-1,2,
  PLANE,2,-1,25,
  PLANE,2,-1,15,
  PLANE,2,-1,5,
  PLANE,2,-1,16,
  PLANE,2,-1,5,
  PLANE,2,-1,11,
  PLANE,2,-1,4,
  ENEMY2,64,20,4,660,200,-4,0,10, 

  WAIT,TEMPS,40,
  POWERUP,648,255,-2,0,0,
  WAIT,TEMPS,40,

  WAIT,TEMPS,50,

  PLANE,1,-1,17,
  PLANE,2,-1,5,
  PLANE,1,-1,12,
  PLANE,2,-1,5,
  PLANE,1,-1,15,
  PLANE,2,-1,5,
  PLANE,1,-1,16,
  PLANE,2,-1,15,
  PLANE,1,-1,1,
  ENEMY2,64,20,3,660,250,-2,0,1, 
  PLANE,1,-1,16,
  PLANE,1,-1,5,
  WAIT,PLANE,
  WAIT,TEMPS,50,

  PLANE,5,660,260,-6,0,5,
  PLANE,5,660,220,-6,0,0,
  PLANE,5,660,300,-6,0,4,
  PLANE,5,660,180,-6,0,0,
  PLANE,5,660,340,-6,0,2,
  PLANE,5,660,140,-6,0,0,
  PLANE,5,660,380,-6,0,1,
  PLANE,5,660,100,-6,0,0,
  PLANE,5,660,420,-6,0,0,
  WAIT,PLANE,
  WAIT,TEMPS,50,
 

  PLANE,1,-1,7,
  PLANE,1,-1,8,
  ENEMY2,64,30,3,660,300,-5,0,10, 
  PLANE,1,-1,9,
  PLANE,1,-1,7,

  WAIT,TEMPS,50,

  PLANE,1,-1,5,
  PLANE,1,-1,5,
  ENEMY2,64,30,2,660,100,-3,0,10, 
  PLANE,1,-1,5,
  PLANE,1,-1,25,

  WAIT,TEMPS,50,

  PLANE,1,-1,10,
  PLANE,1,-1,8,
  ENEMY2,64,30,1,660,200,-4,0,10, 
  PLANE,1,-1,15,
  PLANE,1,-1,6,
  PLANE,1,-1,25,
  PLANE,1,-1,10,
  PLANE,1,-1,8,
  WAIT,PLANE,
  WAIT,TEMPS,50,


  PLANE,5,660,100,-6,0,1,
  PLANE,5,660,140,-6,0,1,
  PLANE,5,660,180,-6,0,1,
  PLANE,5,660,220,-6,0,1,
  PLANE,5,660,260,-6,0,1,
  PLANE,5,660,300,-6,0,1,
  PLANE,5,660,340,-6,0,1,
  PLANE,5,660,380,-6,0,1,
  PLANE,5,660,420,-6,0,1,
  PLANE,5,660,100,-6,0,1,
  PLANE,5,660,140,-6,0,1,
  PLANE,5,660,180,-6,0,1,
  PLANE,5,660,220,-6,0,1,
  PLANE,5,660,260,-6,0,1,
  PLANE,5,660,300,-6,0,1,
  PLANE,5,660,340,-6,0,1,
  PLANE,5,660,380,-6,0,1,
  PLANE,5,660,420,-6,0,1,
  WAIT,PLANE,
  WAIT,TEMPS,50,

  PLANE,3,-1,7,
  PLANE,3,-1,15,
  PLANE,3,-1,2,
  PLANE,3,-1,25,
  PLANE,3,-1,15,
  PLANE,3,-1,5,
  PLANE,3,-1,6,
  PLANE,3,-1,5,
  PLANE,3,-1,1,

  WAIT,PLANE,
  WAIT,TEMPS,20,

  PLANE,5,660,260,-4,0,1,
  PLANE,5,660,260,-4,1,1,
  PLANE,5,660,260,-4,-1,1,
  PLANE,5,660,260,-4,2,1,
  PLANE,5,660,260,-4,-2,1,
  PLANE,5,660,260,-4,3,1,
  PLANE,5,660,260,-4,-3,1,
  PLANE,5,660,260,-4,4,1,
  PLANE,5,660,260,-4,-4,1,
  WAIT,PLANE,
  WAIT,TEMPS,50,

  FTOWER,50,10,
  PLANE,1,-1,7,
  PLANE,1,-1,15,
  PLANE,1,-1,2,
  PLANE,1,-1,25,
  PLANE,1,-1,15,
  PLANE,1,-1,5,
  PLANE,1,-1,6,
  PLANE,1,-1,5,
  PLANE,1,-1,1,

  WAIT,PLANE,
  WAIT,TEMPS,40,


  PLANE,5,660,100,-3,2,1,
  PLANE,5,660,140,-3,-2,1,
  PLANE,5,660,180,-3,2,1,
  PLANE,5,660,220,-3,-2,1,
  PLANE,5,660,260,-3,2,1,
  PLANE,5,660,300,-3,-2,1,
  PLANE,5,660,340,-3,2,1,
  PLANE,5,660,380,-3,-2,1,
  PLANE,5,660,420,-3,2,1,
  WAIT,PLANE,
  WAIT,TEMPS,45,

  ENEMY2,64,30,2,660,100,-3,0,4, 
  PLANE,1,-1,7,
  PLANE,1,-1,5,
  PLANE,1,-1,7,
  PLANE,1,-1,5,
  PLANE,1,-1,5,
  ENEMY2,64,30,3,660,100,-4,0,2, 
  PLANE,1,-1,7,
  PLANE,1,-1,5,
  PLANE,1,-1,7,

  WAIT,TEMPS,50,

  PLANE,1,-1,5,
  PLANE,1,-1,5,
  ENEMY2,64,30,4,660,100,-3,0,1, 
  PLANE,1,-1,7,
  PLANE,1,-1,5,
  PLANE,1,-1,7,
  PLANE,1,-1,5,
  PLANE,1,-1,5,
  ENEMY2,64,30,3,660,100,-1,0,5, 
  PLANE,1,-1,7,
  PLANE,1,-1,5,
  PLANE,1,-1,7,
  PLANE,1,-1,5,
  PLANE,1,-1,5,
  WAIT,ENEMY2,
  WAIT,TEMPS,50,


  PLANE,2,-1,10,
  FTOWER,50,10,
  ENEMY2,64,40,1,660,100,-2,0,10,
  PLANE,2,-1,5,
  PLANE,2,-1,10,
  PLANE,2,-1,5,
  PLANE,2,-1,10,
  PLANE,2,-1,5,
  PLANE,2,-1,10,
  FTOWER,50,10,
  PLANE,2,-1,5,
  PLANE,2,-1,10,
  PLANE,2,-1,5,
  PLANE,2,-1,10,
  PLANE,2,-1,5,
  PLANE,2,-1,30,

  WAIT,PLANE,
  WAIT,ENEMY2,
  WAIT,FTOWER,

  ENEMY2,64,60,5,660,200,-3,0,10,
  FTOWER,50,10,
  FTOWER,50,80,
  ENEMY2,64,60,5,660,200,-3,0,2,
  FTOWER,50,10,

  WAIT,FTOWER,
  WAIT,ENEMY2,
  WAIT,TEMPS,80,

  POWERUP,648,255,-2,0,0,
  WAIT,TEMPS,80,


  PLANE,2,-1,15,
  PLANE,2,-1,15,
  PLANE,2,-1,15,
  PLANE,2,-1,15,
  PLANE,2,-1,15,
  PLANE,2,-1,15,
  WAIT,PLANE,
  WAIT,TEMPS,60,

  PLANE,3,-1,5,
  PLANE,3,-1,5,
  PLANE,3,-1,5,
  PLANE,3,-1,5,
  PLANE,3,-1,5,
  PLANE,3,-1,5,
  WAIT,PLANE,
  WAIT,TEMPS,50,

  FTOWER,100,10,
  PLANE,3,-1,15,
  PLANE,3,-1,5,
  PLANE,3,-1,25,
  PLANE,2,-1,5,
  PLANE,2,-1,15,
  PLANE,2,-1,15,
  PLANE,2,-1,5,
  PLANE,2,-1,25,
  WAIT,PLANE,
  WAIT,FTOWER,
  WAIT,TEMPS,50,

  PLANE,3,-1,5,
  PLANE,3,-1,5,
  ENEMY2,64,20,3,660,300,-5,0,1, 
  PLANE,3,-1,10,

  FTOWER,100,20,
  PLANE,4,-1,5,
  PLANE,4,-1,5,
  PLANE,4,-1,5,
  ENEMY2,64,20,3,660,300,-5,0,1, 
  PLANE,4,-1,5,
  PLANE,4,-1,5,
  PLANE,4,-1,5,

  WAIT,PLANE,
  WAIT,FTOWER,
  WAIT,TEMPS,50,


  PLANE,3,-1,9,
  PLANE,2,-1,19,
  PLANE,3,-1,9,
  PLANE,4,-1,9,
  PLANE,2,-1,19,
  WAIT,TEMPS,50,
  PLANE,1,-1,9,
  PLANE,4,-1,9,
  PLANE,2,-1,9,
  PLANE,3,-1,19,
  PLANE,3,-1,9,
  PLANE,4,-1,9,
  PLANE,2,-1,9,
  PLANE,3,-1,9,
  PLANE,4,-1,19,
  PLANE,2,-1,9,
  WAIT,TEMPS,50,
  PLANE,2,-1,9,
  PLANE,4,-1,19,
  PLANE,3,-1,9,
  PLANE,1,-1,9,
  WAIT,TEMPS,50,
  PLANE,2,-1,9,
  PLANE,4,-1,19,
  PLANE,4,-1,19,
  PLANE,3,-1,9,
  PLANE,2,-1,9,
  PLANE,3,-1,19,
  PLANE,4,-1,9,
  WAIT,TEMPS,50,
  PLANE,3,-1,9,
  PLANE,3,-1,9,
  PLANE,2,-1,19,
  PLANE,1,-1,19,
  PLANE,4,-1,19,
  PLANE,2,-1,9,
  PLANE,3,-1,9,
  PLANE,4,-1,19,
  WAIT,TEMPS,50,
  PLANE,4,-1,9,
  PLANE,2,-1,9,
  PLANE,3,-1,19,
  PLANE,4,-1,19,
  PLANE,2,-1,9,
  PLANE,2,-1,9,
  PLANE,4,-1,19,
  PLANE,4,-1,9,


  WAIT,PLANE,
  WAIT,TEMPS,100,


  WALL,80,48,250,-2,0,60,
  WALL,229,48,211,-2,0,60,
  WALL,80,48,210,-2,0,30,
  FEATURE,4,100,-2,30,
  WALL,80,48,300,-2,0,5,

  WAIT,WALL,
  WAIT,TEMPS,170,
  FIN,
  WAIT,TEMPS,1000

};


/* ------------- TABLEAU 2 ---------------*/

short tableau2[]={

  
  WAIT,TEMPS,50,


  ENEMY1,450,260,SP1,E1_1,450,130,NODIR,5,
  WAIT,ENEMY1,
  WAIT,TEMPS,30,

  ENEMY1,400,260,SP1,E1_1,400,130,NODIR,10,
  ENEMY1,500,260,SP1,E1_1,500,130,NODIR,1,
  WAIT,ENEMY1,
  WAIT,TEMPS,30,

  ENEMY1,400,260,SP1,E1_1,400,130,NODIR,10,
  ENEMY1,450,260,SP1,E1_1,450,130,NODIR,10,
  ENEMY1,500,260,SP1,E1_1,500,130,NODIR,1,
  WAIT,ENEMY1,
  WAIT,TEMPS,30,


  ENEMY1,MX,MY,SP1,E1_1,MX,100,10,0,15,
  ENEMY1,MX,MY,SP1,E1_1,MX,100,10,0,15,
  ENEMY1,MX,MY,SP1,E1_1,MX,100,10,0,15,
  MINE,5,50,660,MY,0,
  WAIT,ENEMY1,

  ENEMY1,MX,MY,SP1,E1_1,MX,100,10,0,15,
  ENEMY1,MX,MY,SP1,E1_1,MX,100,10,0,15,
  ENEMY1,MX,MY,SP1,E1_1,MX,100,10,0,15,
  ENEMY1,MX,MY,SP1,E1_1,MX,100,10,0,15,
  WAIT,ENEMY1,
  WAIT,TEMPS,50,


  LARGUEUR,50,64,-16,45,
  ENEMY1,500,260,SP1,E1_2,500,130,NODIR,5,
  ENEMY1,450,260,SP1,E1_2,450,130,NODIR,5,
  ENEMY1,400,260,SP1,E1_2,400,130,NODIR,5,
  LARGUEUR,50,64,-16,1,
  WAIT,ENEMY1,
  

  ENEMY1,MX,MY,SP1,E1_2,MX,100,10,0,1,
  ENEMY1,MX,MY,SP1,E1_2,MX,410,-10,0,25,
  ENEMY1,MX,MY,SP1,E1_2,MX,130,-10,0,1,
  ENEMY1,MX,MY,SP1,E1_2,MX,380,10,0,25,
  
  POWERUP,660,300,-4,0,5,
  WAIT,POWERUP,
  
  MINE,6,100,660,100,100,
  MINE,6,100,-16,100,1,
  LARGUEUR,100,32,-16,60,
  LARGUEUR,100,64,-16,60,
  LARGUEUR,100,32,-16,60,
  LARGUEUR,100,64,-16,60,
  WAIT,MINE,
  
  WAIT,ENEMY1,
  ENEMY1,500,260,SP1,E1_1,500,130,NODIR,2,
  ENEMY1,470,260,SP1,E1_1,470,130,NODIR,2,
  ENEMY1,440,260,SP1,E1_1,440,130,NODIR,2,
  ENEMY1,410,260,SP1,E1_1,410,130,NODIR,2,
  ENEMY1,380,260,SP1,E1_1,380,130,NODIR,2,
  WAIT,ENEMY1,
  ENEMY1,500,260,SP2,E1_2,500,130,NODIR,15,
  ENEMY1,400,260,SP2,E1_2,400,130,NODIR,50,
  WAIT,ENEMY1,

  ENEMY1,MX,MY,SP1,E1_2,MX,100,10,0,1,
  ENEMY1,MX,MY,SP1,E1_2,MX,410,-10,0,25,
  ENEMY1,MX,MY,SP1,E1_2,MX,130,-10,0,1,
  ENEMY1,MX,MY,SP1,E1_2,MX,380,10,0,25,
  ENEMY1,MX,MY,SP1,E1_1,50,130,NODIR,1,
  ENEMY1,MX,MY,SP1,E1_1,590,130,NODIR,1,

  WAIT,ENEMY1,

  MINE,5,50,660,100,100,
  MINE,5,50,660,300,100,
  WAIT,MINE,
  
  ENEMY1,MX,MY,SP1,E1_2,MX,100,10,0,1,
  ENEMY1,MX,MY,SP1,E1_2,MX,410,-10,0,5,
  LARGUEUR,100,32,-16,60,
  LARGUEUR,100,32,-16,60,
  LARGUEUR,100,32,-16,1,
  WAIT,ENEMY1,

   
  ENEMY1,MX,MY,2,1,E1_1,50,130,-15,0,8,
  ENEMY1,MX,MY,2,1,E1_1,50,130,-15,0,8,
  ENEMY1,MX,MY,2,1,E1_1,50,130,-15,0,8,
  ENEMY1,MX,MY,2,1,E1_1,50,130,-15,0,8,
  ENEMY1,MX,MY,2,1,E1_1,50,130,-15,0,8,
  ENEMY1,MX,MY,2,1,E1_1,50,130,-15,0,8,  
  LARGUEUR,100,32,-16,60,
  LARGUEUR,100,32,-16,60,
  WAIT,ENEMY1,

  LARGUEUR,100,32,-16,60,
  LARGUEUR,100,32,-16,60,
  LARGUEUR,100,32,-16,30,
  MINE,5,50,660,100,30,

  POWERUP,660,300,-4,0,5,
  WAIT,POWERUP,

  ASTEROID,30,660,200,-1,1,10,
  ASTEROID,30,660,150,-2,2,15,
  ASTEROID,30,660,300,-2,1,15,
  ASTEROID,30,660,340,-1,-2,17,
  ASTEROID,30,660,300,-2,-1,5,
  METEOR,660,100,-4,4,100,
  
  ASTEROID,10,660,150,-3,1,55,
  ASTEROID,10,660,150,-3,1,45,
  ASTEROID,10,660,150,-4,1,45,
  ASTEROID,10,660,340,-2,-2,27,
  ASTEROID,10,660,300,-5,-1,15,
  ASTEROID,10,660,150,-3,1,55,
  ASTEROID,10,660,150,-3,1,45,
  ASTEROID,10,660,150,-4,1,45,
  ASTEROID,10,660,340,-2,-2,27,
  ASTEROID,10,660,300,-5,-1,15,
  ASTEROID,10,660,150,-3,1,55,
  ASTEROID,10,660,150,-3,1,45,
  ASTEROID,10,660,150,-4,1,45,
  ASTEROID,10,660,340,-2,-2,27,
  ASTEROID,10,660,300,-5,-1,15,
  ASTEROID,10,660,150,-3,1,55,      
  

  WAIT,ASTEROID,
  WAIT,TEMPS,200,



  LARGUEUR,100,32,-16,60,
  LARGUEUR,100,32,-16,60,
  LARGUEUR,100,32,-16,10,
  ENEMY1,MX,MY,SP1,E1_2,MX,100,10,0,1,
  ENEMY1,MX,MY,SP1,E1_2,MX,410,-10,0,24,
  ENEMY1,MX,MY,SP1,E1_2,MX,130,-10,0,1,
  ENEMY1,MX,MY,SP1,E1_2,MX,380,10,0,24,
  LARGUEUR,100,32,-16,60,
  LARGUEUR,100,32,-16,60,
  LARGUEUR,100,32,-16,30,
  MINE,5,50,660,100,30,
  LARGUEUR,100,32,-16,60,
  LARGUEUR,100,32,-16,60,
  LARGUEUR,100,32,-16,1,
  ENEMY1,MX,MY,SP1,E1_1,MX,100,10,0,15,
  ENEMY1,MX,MY,SP1,E1_1,MX,100,10,0,15,
  ENEMY1,MX,MY,SP1,E1_1,MX,100,10,0,15,
  ENEMY1,MX,MY,SP1,E1_1,MX,100,10,0,15,
  LARGUEUR,100,32,-16,60,
  WAIT,LARGUEUR,
  WAIT, MINE,
  WAIT,ENEMY1,

  WALL,80,48,320,-2,0,11,
  WALL,80,144,30,-2,3,33,
  WALL,240,48,160,-2,0,5,
  FEATURE,1,120,-2,5,
  WALL,80,144,30,-2,3,33,
  WALL,80,48,320,-2,0,5,
  WAIT,WALL,

  WAIT,TEMPS,70,
  FIN,
  WAIT,TEMPS,1000

};


/* ----------------- TABLEAU 3 ----------------------- */

short tableau3[]={


  WAIT,TEMPS,70,
  
  ENEMY3,60,64,-1,0,40,
  WAIT,ENEMY3,

  ENEMY3,60,128,-1,0,30,
  BALL,650,426,-7,0,10,
  ENEMY3,60,128,-1,0,30,
  BALL,650,426,-7,0,10,
  ENEMY3,60,128,-1,0,30,
  BALL,650,426,-7,0,100,
 

  BALL,-1,10,
  BALL,-1,10,
  BALL,-1,10,
  WAIT,BALL,

  BALL,-1,3,
  BALL,-1,7,
  BALL,-1,12,
  BALL,-1,11,
  BALL,-1,1,
  BALL,-1,18,
  WAIT,BALL,
  WAIT,ENEMY3,

  ENEMY3,100,128,-1,0,20,
  ENEMY4,16,10,10,0,0,NODIR,60,
  ENEMY3,100,32,-1,0,80,
  BALL,-1,7,
  BALL,-1,12,
  BALL,-1,11,
  BALL,-1,1,
  WAIT,ENEMY3,
  WAIT,BALL,
  
  BIGTURNING,100,32,4160,260,-32,80,
  WAIT,BIGTURNING,

  POWERUP,660,300,-4,0,5,
  WAIT,POWERUP,
  
  BIGTURNING,50,32,2880,130,-32,0,
  BIGTURNING,50,32,5440,390,-32,80,

  WAIT,BIGTURNING,

  BIGTURNING,50,32,2880,130,-32,0,
  BIGTURNING,50,32,5440,390,-32,40,
  BIGTURNING,100,32,4160,140,-32,40,
  BIGTURNING,50,32,2880,130,-32,0,
  BIGTURNING,50,32,5440,390,-32,40,

  BALL,-1,5,
  BALL,-1,15,
  BALL,-1,5,
  BALL,-1,15,
  BALL,-1,5,
  BALL,-1,15,
  BALL,-1,5,
  BALL,-1,15,

  WAIT,BIGTURNING,

  ENEMY3,100,32,-1,0,20,
  ENEMY3,100,32,-1,0,20,
  ENEMY3,100,32,-1,0,10,
  ENEMY4,16,10,10,300,0,NODIR,10,
  ENEMY3,100,32,-1,0,20,
  ENEMY3,100,32,-1,0,20,
  WAIT,ENEMY3,
  WAIT,ENEMY4,

  BALL,-1,17,
  BALL,-1,27,
  BALL,-1,6,
  ENEMY4,16,20,10,300,0,NODIR,60,
  BALL,-1,10,
  BALL,-1,15,
  BALL,-1,12,
  BALL,-1,18,
  BALL,-1,11,
  BALL,-1,12,
  BALL,-1,15,
  BIGTURNING,100,32,4160,140,-32,10,
  BALL,-1,6,
  BALL,-1,4,
  BALL,-1,2,
  BALL,-1,10,
  BALL,-1,12,
  BALL,-1,10,
  BALL,-1,20,
  ENEMY4,16,30,7,300,0,NODIR,60,
  BALL,-1,10,
  BALL,-1,15,
  BALL,-1,12,
  BALL,-1,18,
  BALL,-1,11,
  BALL,-1,12,
  BALL,-1,15,
  BIGTURNING,100,32,4160,140,-32,10,
  BALL,-1,6,
  BALL,-1,4,
  BALL,-1,2,
  BALL,-1,10,
  BALL,-1,12,
  BALL,-1,10,
  BALL,-1,20,
  BIGTURNING,100,32,4160,140,-32,10,
  BALL,-1,15,
  BIGTURNING,100,32,4160,140,-32,10,
  BALL,-1,15,
  BIGTURNING,100,32,4160,140,-32,20,
  BALL,-1,5,
  BIGTURNING,100,32,4160,140,-32,10,
  BALL,-1,5,
  BALL,-1,15,
  BALL,-1,25,
  BALL,-1,18,
  BALL,-1,15,
  BALL,-1,9,
  ENEMY3,100,32,-1,0,5,
  BALL,-1,15,
  BALL,-1,10,
  BALL,-1,12,
  BALL,-1,18,
  BALL,-1,5,
  BIGTURNING,50,32,2880,130,-32,0,
  BIGTURNING,50,32,5440,390,-32,80,
  BALL,-1,5,
  BALL,-1,25,
  BALL,-1,35,
  BALL,-1,5,
  BALL,-1,1,
  ENEMY3,100,32,-1,0,5,
  BALL,-1,12,
  BALL,-1,18,
  BALL,-1,5,
  BALL,-1,5,
  BALL,-1,25,
  BALL,-1,35,
  BALL,-1,5,
  BALL,-1,1,
  BIGTURNING,100,32,4160,140,-32,10,
  BALL,-1,15,
  BALL,-1,10,
  BALL,-1,12,
  ENEMY4,16,30,10,0,0,NODIR,60,
  BALL,-1,18,
  BALL,-1,5,
  BALL,-1,5,
  BALL,-1,15,
  BALL,-1,17,
  BALL,-1,5,
  BALL,-1,1,
  BALL,-1,15,
  BALL,-1,10,
  BALL,-1,12,
  BALL,-1,18,
  BALL,-1,5,
  BALL,-1,5,
  BALL,-1,25,
  BALL,-1,15,
  BALL,-1,5,
  BALL,-1,1,
  BIGTURNING,50,32,2880,130,-32,0,
  BALL,-1,0,
  BIGTURNING,50,32,5440,390,-32,37,
  BALL,-1,1,
  BALL,-1,1,
  BALL,-1,1,
  BIGTURNING,100,32,4160,140,-32,40,
  BIGTURNING,50,32,2880,130,-32,0,
  BIGTURNING,50,32,5440,390,-32,140,

  BIGTURNING,50,32,2880,130,-32,0,
  BALL,-1,1,
  BALL,-1,1,
  BALL,-1,1,
  BIGTURNING,50,32,5440,390,-32,36,
  BIGTURNING,100,32,4160,140,-32,38,
  BALL,-1,1,
  BALL,-1,1,
  BIGTURNING,50,32,2880,130,-32,0,
  BIGTURNING,50,32,5440,390,-32,40,
  BALL,-1,10,  
  BALL,-1,10,
  BALL,-1,10,
  BALL,-1,10,
  BALL,-1,10,
  BALL,-1,10,
  BALL,-1,10,
  WAIT,BIGTURNING,
  WAIT,BALL,

  ENEMY3,200,8,-1,0,20,
  WAIT,ENEMY3,



  WALL,80,50,150,-2,0,0,
  WALL,280,44,159,-2,0,11,
  WALL,80,80,80,-2,2,20,
  WALL,80,50,150,-2,0,0,
  WALL,280,44,159,-2,0,11,
  WALL,80,80,80,-2,3,20,
  WALL,80,50,150,-2,0,0,
  WALL,280,44,159,-2,0,11,
  WALL,80,80,80,-2,2,20,
  WALL,80,50,150,-2,0,0,
  WALL,280,44,159,-2,0,11,
  WALL,80,80,80,-2,4,20,
  WALL,80,50,280,-2,0,12,
  WALL,80,80,80,-2,3,20,
  WALL,80,50,150,-2,0,0,
  WALL,280,44,159,-2,0,70,
  FEATURE,2,255,-2,50,

  WAIT,FEATURE,

  WAIT,TEMPS,50,

  FIN,
  WAIT,TEMPS,1000

};

/* ------------------ VAISSEAU FINAL -----------------*/


short tableau4[] = {

  WAIT,TEMPS,100,

  LASTSPACESHIP,32,100,700,230,0,
  WAIT,LASTSPACESHIP,


  /* =================  FIN ==================== */


  FIN,
  WAIT,TEMPS,15000
};




