/*
   MovPt.h
   Just a moving point class

   Xavier HOSXE
   */


#ifndef _MOVPT_
#define _MOVPT_

extern short speed;

#include "sqrt.h"

class MovPt {
 public:
  short mx,my;
  short mdx,mdy;
  MovPt() {  mx=0;  my=0;  mdx=0;  mdy=0; }
  void SetLocation(short x, short y) {  mx=x ; my=y; }
  void SetDirection(short dx, short dy) {  mdx=dx; mdy=dy; }
  void Update() {  mx+= (mdx * speed)>>4;  my+= (mdy * speed)>>4;  } 
  void GoTo(short x,short y,short Speed) {
    short tmpx,tmpy,v;
    
    tmpx = (x-mx)>>4;
    tmpy = (y-my)>>4;
    v    = sqrtSoft(tmpx*tmpx+tmpy*tmpy);
    SetDirection((short)(tmpx*Speed/v)<<3,(short)(tmpy*Speed/v)<<3);
  }
};

#endif


